﻿using System;
using System.Net.Http;

namespace Robware.Lib.ApiClient {
	public class ApiCallException : Exception {
		// ReSharper disable once NotAccessedField.Local
		// ReSharper disable once MemberCanBePrivate.Global
		public readonly HttpResponseMessage Response;

		public ApiCallException(HttpResponseMessage response):base($"Error calling API {response.RequestMessage.RequestUri}: {(int)response.StatusCode}, {response.ReasonPhrase}") {
			Response = response;
		}
	}
}
