﻿using System.Collections.Generic;

namespace Robware.Lib.ApiClient {
	public class CacheDurations : Dictionary<string, Dictionary<string, int>> {
		const string DefaultKey = "default";

		public new int this[string key] {
			get {
				var keyParts = key.Split(':', 2);

				if (ContainsKey(keyParts[0]))
					if (base[keyParts[0]].ContainsKey(keyParts[1]))
						return base[keyParts[0]][keyParts[1]];
					else if (base[keyParts[0]].ContainsKey(DefaultKey))
						return base[keyParts[0]][DefaultKey];

				return ContainsKey(DefaultKey) ? base[DefaultKey][DefaultKey] : 0;
			}
		}
	}
}